package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxReportIndustrialSeaarchHistory struct {
	Id                int `orm:"column(id);pk"`
	UserId            int
	CreateTime        time.Time
	Mobile            string `description:"手机号"`
	CompanyId         int    `description:"公司id"`
	CompanyName       string `description:"公司名称"`
	ChartPermissionId int    `description:"表chart_permission中id"`
	IsNewLabel        string `description:"是否属于新标签，1是，0否"`
	IsDeepLabel       string `description:"是否属于深标签，1是，0否"`
	OrderColumn       string `description:"排序字段 ，0 最近更新 ，1弘则推荐"`
}

//添加
func AddCygxReportIndustrialSeaarchHistory(item *CygxReportIndustrialSeaarchHistory) (lastId int64, err error) {
	o := orm.NewOrm()
	lastId, err = o.Insert(item)
	return
}
